mmrazor.apis
--------------

mmcls
^^^^^
.. automodule:: mmrazor.apis.mmcls
    :members:

mmdet
^^^^^
.. automodule:: mmrazor.apis.mmdet
    :members:

mmseg
^^^^^
.. automodule:: mmrazor.apis.mmseg
    :members:

mmrazor.core
--------------

hooks
^^^^^
.. automodule:: mmrazor.core.hooks
    :members:

optimizer
^^^^^^^^^
.. automodule:: mmrazor.core.optimizer
    :members:

runners
^^^^^^^^^^
.. automodule:: mmrazor.core.runners
    :members:

searcher
^^^^^^^^
.. automodule:: mmrazor.core.searcher
    :members:

utils
^^^^^
.. automodule:: mmrazor.core.utils
    :members:

mmrazor.datasets
----------------

datasets
^^^^^^^^^^
.. automodule:: mmrazor.datasets
    :members:

mmrazor.models
--------------

algorithms
^^^^^^^^^^
.. automodule:: mmrazor.models.algorithms
    :members:

architectures
^^^^^^^^^^^^^
.. automodule:: mmrazor.models.architectures
    :members:

distillers
^^^^^^^^^^
.. automodule:: mmrazor.models.distillers
    :members:

losses
^^^^^^
.. automodule:: mmrazor.models.losses
    :members:

mutables
^^^^^^^^
.. automodule:: mmrazor.models.mutables
    :members:

mutators
^^^^^^^^
.. automodule:: mmrazor.models.mutators
    :members:

ops
^^^
.. automodule:: mmrazor.models.ops
    :members:

pruners
^^^^^^^
.. automodule:: mmrazor.models.pruners
    :members:
